<?php
	include("../../cabecera.php");

	$correcto=false;
	$sql="SELECT * FROM alumnos WHERE idCentro=".$_SESSION['centro'];

	if($_REQUEST['nie']!="")
	{
		$sql=$sql." and nie=".$_REQUEST['nie'];
		$correcto=true;
	}
	if($_REQUEST['nombre']!="")
	{
		$sql=$sql." and upper(nombre) like '%".strtoupper($_REQUEST['nombre'])."%'";
		$correcto=true;
	}
	if($_REQUEST['apellidos']!="")
	{
		$sql=$sql." and upper(apellidos) like '%".strtoupper($_REQUEST['apellidos'])."%'";
		$correcto=true;
	}
	if($_REQUEST['curso']!="")
	{
		$sql=$sql." and idCurso=".$_REQUEST['curso'];
		$correcto=true;
	}
	if($_REQUEST['grupo']!="")
	{
		$sql=$sql." and idGrupo=".$_REQUEST['grupo'];
		$correcto=true;
	}
	if($_REQUEST['situacione']!="")
	{
		$sql=$sql." and idSituacionEducativa=".$_REQUEST['situacione'];
		$correcto=true;
	}

    if(!$correcto) //Si no has filtrado por nada
   		$sql="SELECT * FROM alumnos";

	$consulta=mysql_query($sql,$conexion);

	$numreg=mysql_num_rows($consulta);
?>
<script language="javascript">
	function seleccionar (n)
	{
		for(i=0;i<=5;i++)
		{
			document.getElementById("lista"+i+n).style.backgroundColor="#ccc";
		}
	}
	function desseleccionar (n)
	{
		for(i=0;i<=5;i++)
		{
			document.getElementById("lista"+i+n).style.backgroundColor="#eee";
		}
	}
</script>
<table class="titular" cellpadding="0" cellspacing="0">
	<tr>
		<td>Buscar Alumnos</td>
	</tr>
</table>
<table>
	<tr>
  		<td style="font-family:tahoma;font-size:12;font-weight:bold;text-align:center;height:40"><?php echo $numreg?> registro/s encontrados</td>
	</tr>
</table>
<table cellpadding="0" cellspacing="0" style="border:1px solid #ccc">
	<tr>
		<td class=titulolista style="width:20;border-right:1px solid #fff">&nbsp;</td>
		<td class=titulolista style="border-right:1px solid #fff;width:300">Alumno</td>
		<td class=titulolista style="width:100;border-right:1px solid #fff">N&#186; EXP</td>
		<td class=titulolista style="width:100;">CURSO</td>
		<td class=titulolista style="width:80;border-left:1px solid #fff">GRUPO</td>
		<td class=titulolista style="width:320;border-left:1px solid #fff">CENTRO</td>
		<?php
			$cont=0;
			while($fila=mysql_fetch_array($consulta))
			{
		?>
			<tr>
				<td class=lista id="lista0<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:right;padding-right:10;border-right:1px solid #fff"><a href="datospersonales.php?id=<?php echo $fila['id']?>"><img src="../../imagenes/flecha.gif" style="border:0;width:7;height:13"></a></td>
				<td class=lista id="lista1<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="border-right:1px solid #fff;"><a href="datospersonales.php?id=<?php echo $fila['id']?>"><?php echo $fila['apellidos'].", ".$fila['nombre']?></a></td>
				<td class=lista id="lista2<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)" style="text-align:right;padding-right:10"><a href="datospersonales.php?id=<?php echo $fila['id']?>"><?php echo $fila['NIE']?></a></td>
				<td class=lista id="lista3<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)"style="text-align:left;border-left:1px solid #fff">
					<a href="datospersonales.php?id=<?php echo $fila['id']?>">
					<?php
						$consultaCur=mysql_query("SELECT * FROM cursos WHERE id=".$fila['idCurso'],$conexion);
						$filaCur=mysql_fetch_array($consultaCur);
						echo $filaCur ['cursos'];
					?>
					</a>
				</td>
				<td class=lista id="lista4<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)"style="text-align:center;border-left:1px solid #fff;padding-left:0">
					<a href="datospersonales.php?id=<?php echo $fila['id']?>">
					<?php
						$consultaGru=mysql_query("SELECT * FROM grupos WHERE id=".$fila['idGrupo'],$conexion);
						$filaGru=mysql_fetch_array($consultaGru);
						echo $filaGru ['grupo'];
					?>
					</a>
				</td>
				<td class=lista id="lista5<?php echo $cont?>" onmouseover="seleccionar(<?php echo $cont?>)" onmouseout="desseleccionar(<?php echo $cont?>)"style="text-align:center;border-left:1px solid #fff;padding-left:0">
					<a href="datospersonales.php?id=<?php echo $fila['id']?>">
					<?php
						$consultaCentro=mysql_query("SELECT * FROM centros WHERE id=".$fila['idCentro'],$conexion);
						$filaCentro=mysql_fetch_array($consultaCentro);
						echo $filaCentro ['centro'];
					?>
					</a>
				</td>
			</tr>
		<?php
				$cont++;
			}
		?>
	</tr>
</table>
<?php
	include("../../pie.php");
?>